interface TypeChecker {
    undefined: {
        k: string;
        v: (x: any) => boolean;
    };
    infinity: {
        k: string;
        v: (x: any) => boolean;
    };
    null: {
        k: string;
        v: (x: any) => boolean;
    };
    hex: {
        k: string;
        v: (x: any) => boolean;
    };
    string: {
        k: string;
        v: (x: any) => boolean;
    };
    bigint: {
        k: string;
        v: (x: any) => boolean;
    };
    number: {
        k: string;
        v: (x: any) => boolean;
    };
    array: {
        k: string;
        v: (x: any) => boolean;
    };
    uint8: {
        k: string;
        v: (x: any) => boolean;
    };
    uint16: {
        k: string;
        v: (x: any) => boolean;
    };
    uint32: {
        k: string;
        v: (x: any) => boolean;
    };
    buffer: {
        k: string;
        v: (x: any) => boolean;
    };
    object: {
        k: string;
        v: (x: any) => boolean;
    };
}
interface ArrayChecker {
    isString: (x: any[]) => boolean;
    isNumber: (x: any[]) => boolean;
    isBigint: (x: any[]) => boolean;
}
export default class Type {
    static is: TypeChecker;
    static array: ArrayChecker;
    static of(x: any): string;
}
export {};
//# sourceMappingURL=type.d.ts.map